Skip to main content
GET
/
v1
/
tiktok
/
users
/
{username}
/
live
Get user live stream
curl --request GET \
  --url https://api.konbiniapi.com/v1/tiktok/users/{username}/live \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "@context": [
      "https://www.w3.org/ns/activitystreams#",
      "https://konbiniapi.com/ns/social#"
    ],
    "type": "Video",
    "id": "https://www.tiktok.com/@khaby.lame/live",
    "url": "https://www.tiktok.com/@khaby.lame/live",
    "internalId": "7600000000000000001",
    "isLive": true,
    "attributedTo": {
      "type": "Person",
      "id": "https://www.tiktok.com/@khaby.lame",
      "url": "https://www.tiktok.com/@khaby.lame",
      "isPrivate": false,
      "isVerified": true,
      "userId": "127905465618821121",
      "internalId": "MS4wLjABAAAAwAg0rSzO65WQfz4RzQgGv2Xdv108BgPXhRrrmNVIHQZ9PO8-flwwRtEppYTS0OjA",
      "name": "Khabane lame",
      "preferredUsername": "khaby.lame",
      "summary": "Just a guy who reacts",
      "attachment": [
        {
          "type": "Link",
          "href": "https://linktr.ee/khaby.lame"
        }
      ],
      "published": "2020-03-15T00:00:00.000Z",
      "isLive": false,
      "hasLikes": true,
      "hasPlaylists": true,
      "followerCount": 160300000,
      "followingCount": 85,
      "likeCount": 2600000000,
      "videoCount": 1309,
      "icon": {
        "type": "Image",
        "url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
        "width": 576,
        "height": 1024
      },
      "image": [
        {
          "type": "Image",
          "url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
          "width": 576,
          "height": 1024
        }
      ]
    },
    "published": "2026-02-27T18:36:42.000Z",
    "viewCount": 42600000,
    "viewerCount": 15000,
    "summary": "When you realize there is a simpler way #learnfromkhaby",
    "image": {
      "type": "Image",
      "url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
      "width": 576,
      "height": 1024
    },
    "attachment": [
      {
        "type": "Video",
        "url": [
          "https://v16-webapp.tiktok.com/video/tos/useast2a/..."
        ],
        "mediaType": "video/x-flv",
        "name": "flv",
        "width": 576,
        "height": 1024,
        "codec": "h264",
        "bitrate": 2500000
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Send your API key in the Authorization header as a Bearer token. Example: Authorization: Bearer <your-api-key>

Path Parameters

username
string
required

TikTok username (with or without @ symbol)

Response

Returns the live stream details

data
object
required